package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.credit.constant.CommonCont;
import com.ynet.life.credit.util.EncryptUtils;
import com.ynet.life.util.PropertiesFile;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Iterator;
import java.util.Properties;
import net.sf.json.JSONObject;
import org.apache.cxf.jaxrs.client.WebClient;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/getCorScoreAction.class */
public class getCorScoreAction extends LifeAction {
    public String cardCode;
    public String reportType;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v22, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v23, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v46, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r6v0, types: [com.ynet.life.credit.business.getCorScoreAction] */
    public String execute(Context context) throws GENEException {
        JSONObject saveAuthJsonOb;
        String tempReport = "";
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        Calendar cal = Calendar.getInstance();
        context.put("d2_create_time", sdf.format(cal.getTime()));
        String certifiCateCodeValue = context.getDataValue(this.cardCode).toString();
        String urlApi = "";
        Properties bankDBSourceProperties = PropertiesFile.getProperties("/properties/creditApiPath.properties");
        if ("1".equals(this.reportType)) {
            urlApi = bankDBSourceProperties.getProperty("creditDetailUrl");
        } else if ("2".equals(this.reportType)) {
            urlApi = bankDBSourceProperties.getProperty("creditScoreUrl");
        } else if ("0".equals(this.reportType)) {
            urlApi = bankDBSourceProperties.getProperty("creditBaseUrl");
        }
        ?? r0 = CommonCont.user;
        try {
            String saveAuthResult = doSaveAuth("http://172.18.6.88:8094/ksjf-ws/ksjfService/getCorpInfo", r0, certifiCateCodeValue, "905AC9821BD77DAB");
            System.out.println("传递金服企业信息接口结果=====".concat(String.valueOf(saveAuthResult)));
            saveAuthJsonOb = JSONObject.fromObject(saveAuthResult);
        } catch (Exception e) {
            r0.printStackTrace();
        }
        if ("400".equals(saveAuthJsonOb.get("reponseCode").toString())) {
            return "1";
        }
        r0 = getCreditReport(urlApi, r0, certifiCateCodeValue, "905AC9821BD77DAB");
        tempReport = r0;
        JSONObject jsonOb = JSONObject.fromObject(tempReport);
        Iterator<String> itor = jsonOb.keys();
        while (itor.hasNext()) {
            try {
                String key = itor.next();
                String value = jsonOb.get(key).toString();
                context.put(key, value);
            } catch (Exception unused) {
            }
        }
        return "0";
    }

    private String doSaveAuth(String urlApi, String wsUser, String cerCode, String scretkey) {
        WebClient client = WebClient.create(urlApi);
        client.accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        client.replaceQueryParam("cardCode", new Object[]{EncryptUtils.encrypt(cerCode, scretkey)}).replaceQueryParam("wsUser", new Object[]{EncryptUtils.encrypt(wsUser, scretkey)});
        System.out.println("请求地址=====" + client.getCurrentURI());
        String result = (String) client.get(String.class);
        System.out.println(EncryptUtils.decrypt(result, scretkey));
        return EncryptUtils.decrypt(result, scretkey);
    }

    private String getCreditReport(String urlApi, String wsUser, String cerCode, String scretkey) throws Exception {
        WebClient client = WebClient.create(urlApi);
        client.accept(new String[]{"application/json"}).type("application/json");
        System.out.println(client.getCurrentURI());
        String strCertifiCateCode = EncryptUtils.encrypt(cerCode, scretkey);
        String strQueryUser = EncryptUtils.encrypt(wsUser, scretkey);
        client.replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
        System.out.println("请求地址=====" + client.getCurrentURI());
        String result = (String) client.get(String.class);
        System.out.println("征信返回结果========" + result.toString());
        System.out.println("征信返回结果decrypt========" + EncryptUtils.decrypt(result.toString(), scretkey));
        return EncryptUtils.decrypt(result.toString(), scretkey);
    }

    public String getCardCode() {
        return this.cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getReportType() {
        return this.reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }
}
